# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON3) -m sphinx
SOURCEDIR     = .
BUILDDIR      = build
PROJECTNAME   = netsquid-driver
DOCSSERVER    = docs.netsquid.org
DOCSFOLDER    = /srv/netsquid/docs/snippets

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	/bin/rm -rf html pdf doctrees $(BUILDDIR)


.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

